Przejdź do głównej zawartości

productInvoice

Dla: Programista

ZapytanieBetaQuery.productInvoice

One sales invoice of a product by its identifier; null when there is no such invoice.

Wymagany zakresinvoices:read
Dostępne odPrynt 0.28.0
StabilnośćBeta (co to znaczy)

Argumenty

NazwaTypOpis
idwymaganeID!

Identifier of the invoice.

Zwraca

ProductInvoice

Przykład

Zapytanie
query ProductInvoice($id: ID!) {
productInvoice(id: $id) {
id
invoiceNumber
type
issueDate
orderId
billingEntityId
currencyCode
netAmount
grossAmount
exchangeRate
rateDate
rateTableNo
netHome
grossHome
updatedAt
}
}
Zmienne
{
"id": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e02"
}
Wywołanie (curl)
curl -sS https://twoja-drukarnia.prynt.pl/api/v1/graphql \
-H "Authorization: Bearer $PRYNT_API_KEY" \
-H "Content-Type: application/json" \
--data-binary @- <<'JSON'
{
"query": "query ProductInvoice($id: ID!) {\n productInvoice(id: $id) {\n id\n invoiceNumber\n type\n issueDate\n orderId\n billingEntityId\n currencyCode\n netAmount\n grossAmount\n exchangeRate\n rateDate\n rateTableNo\n netHome\n grossHome\n updatedAt\n }\n}",
"variables": {
"id": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e02"
}
}
JSON
Odpowiedź
{
"data": {
"productInvoice": {
"id": "3c4d5e6f-7a8b-4c9d-8e0f-1a2b3c4d5e02",
"invoiceNumber": "FV/413/10/2026",
"type": "VAT",
"issueDate": "2026-10-12T00:00:00.000Z",
"orderId": "7c1e2d3f-4a5b-4c6d-8e7f-9a0b1c2d3e4f",
"billingEntityId": "8a9b0c1d-2e3f-4a4b-9c5d-6e7f8a9b0c1d",
"currencyCode": "EUR",
"netAmount": 800,
"grossAmount": 984,
"exchangeRate": 4.2513,
"rateDate": "2026-10-09T00:00:00.000Z",
"rateTableNo": "196/A/NBP/2026",
"netHome": 3401.04,
"grossHome": 4183.28,
"updatedAt": "2026-10-12T10:15:00.000Z"
}
}
}